Skip to navigation

Get Onboarding Status

View as Markdown
Partner Restricted

The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested in exploring partnership opportunities, please contact us at Techpartnerships@paylocity.com

Summary Description

The new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This endpoint allows partners to get their onboardings with an option of filtering by companyId and status.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

filterstringOptional

The filtering expression ( e.g. companyId eq b6001, status eq Approved ).

limitintegerOptional

Limit. Used together with offset for offset/limit pagination.

offsetintegerOptional

Offset. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

includeTotalCountbooleanOptional
Include total items count into response as a header.

Response headers

X-Pcty-Total-Countinteger

When the request sets includeTotalCount=true, the API returns this header with the total number of resources available (even if only one page is returned).

Response

Successful response

Errors

401
Unauthorized Error